package com.mvc.entity;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Description:
* @Author: guozhao
* @CreateDate: 2025-03-10 10:04:20
*/
public class TaskRemoteCfg {
    /**
     * 
     */
    private Integer id;

    /**
     * 实际主键
     */
    private String taskId;

    /**
     * DEVICE_SN 设备SN
     */
    private String deviceSn;

    /**
     * 遥测站点
     */
    private String stationCode;

    /**
     * 当前水表读数
     */
    private Double lastVal;

    /**
     *  IP1 例:49.232.111.64:12323
     */
    private String ip1Port1;

    /**
     * IP2
     */
    private String ip2Port2;

    /**
     * IP3
     */
    private String ip3Port3;

    /**
     * IP4
     */
    private String ip4Port4;

    /**
     * 紧急域名及端口
     */
    private String domainNamePort;

    /**
     * 水表类型(安装口径)
     */
    private Integer dnType;

    /**
     * 数字个数
     */
    private Integer digitNum;

    /**
     * 最后一个数字单位类型
     */
    private Integer unitType;

    /**
     * 安装方向(0:方向一致 1:方向相反)
     */
    private String setupDir;

    /**
     * 采样时间间隔(分)
     */
    private Integer sampleInterval;

    /**
     * 字轮个数
     */
    private Integer wheelNum;

    /**
     * 发送时间间隔(分)
     */
    private Integer upInterval;

    /**
     * 低温采样时间间隔(时)
     */
    private Integer ltSampleInterval;

    /**
     * 最低工作温度
     */
    private Integer workLt;

    /**
     * 最高工作温度
     */
    private Integer workHt;

    /**
     * 低电压报警临界值(V)
     */
    private BigDecimal batAlarmVt;

    /**
     * 剩余电量报警临界值(百分比)
     */
    private Integer batAlarmSoc;

    /**
     * 强制拉回的概率阈值 
     */
    private Integer aiPullBack;

    /**
     * 识别可信度的概率阈值
     */
    private Integer aiPass;

    /**
     * 单独每一位概率阈值
     */
    private Integer aiSinglePass;

    /**
     * CPU版本
     */
    private String cpuVersion;

    /**
     * 通讯版本
     */
    private String tongxunVersion;

    /**
     * 天线类型(0内置,1外置)
     */
    private String tianxianType;

    /**
     * 通讯方式(0:NB,1:CAT1)
     */
    private String tongxunWay;

    /**
     * 网络注册超时时间（秒）
     */
    private Integer networkRegTimeout;

    /**
     * 背光屏闪频率(HZ)
     */
    private Integer pwmHz;

    /**
     * PWM占空比
     */
    private Integer pwmDuty;

    /**
     * 摄像头闪光灯亮度最低值
     */
    private Integer flashBrightMin;

    /**
     * 摄像头闪光灯亮度最高值
     */
    private Integer flashBrightMax;

    /**
     * 安装年份
     */
    private String setupYear;

    /**
     * 整图上传周规则（1111111）
     */
    private String upWholeImgWeekRule;

    /**
     * IP1启用扩展协议
     */
    private String ip1ExpandOn;

    /**
     * 创建人
     */
    private String createMan;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 任务完成标志
     */
    private String finishedFlag;

    /**
     * 任务完成时间
     */
    private Date finishedTime;

    /**
     * 字体样式(0黑底白字,1白底黑字)
     */
    private String meterFontStyle;

    /**
     * 系统审核标记(1代表系统对比通过)
     */
    private String systemReviewFlag;

    /**
     * 设备类型(1水表,2压力表,3燃气表)(不是配置项)
     */
    private String deviceType;

    /**
     * 压力表量程范围下限(可以负数)
     */
    private BigDecimal pgRangeMin;

    /**
     * 压力表量程范围上限(可以负数)
     */
    private BigDecimal pgRangeMax;

    /**
     * 压力表数据精度类型(0-4)(代表小数位数)
     */
    private Integer pgPrecisionType;

    /**
     * 压力表系统校正参数（可以负数
     */
    private BigDecimal pgCorrectvalue;

    /**
     * 压力表坐标点赋值
     */
    private String pgManualConfig;

    /**
     * 压力表图片是否描点
     */
    private String pgIsDebug;

    /**
     * 压力表目标区域历史数据初始化
     */
    private String pgInitTargetRegion;

    /**
     * 是否运行串口输出日志信息
     */
    private String isprintcomlog;

    /**
     * WDT计数清零
     */
    private String isresetwdt;

    /**
     * 电池计时清零
     */
    private String isresetbat;

    /**
     * MCU工作次数清零
     */
    private String isrestmcu;

    /**
     * 手动触发发送大图开关
     */
    private String wiTaskManwakeupFlag;

    /**
     * 月初月底发送大图开关
     */
    private String wiTaskMonthFlag;

    /**
     * 按指定日期发送大图
     */
    private String wiTaskSpecdateFlag;

    /**
     * 日志上传规则
     */
    private String logUploadRules;

    /**
     * 是否上传上一次 MCU通讯错误的日志
     */
    private String uploadLastFailLogFlag;

    /**
     * 手动触发发送本次工作日志
     */
    private String logTaskManwakeupFlag;

    /**
     * 是否是批量任务(批量任务前台不展示,过渡使用)
     */
    private String batchFlag;

    /**
     * 压力表人工配置坐标点的优先级
     */
    private String pgManualConfigLevel;

    /**
     * 上传的图片类型(=1 时BMP565彩色图>1 时JPG彩色图(用质量的字节数来代替类型)取值范围1-20000默认出场配置841)
     */
    private Integer imageType;

    /**
     * 图片像素外扩(取值范围0-30)
     */
    private Integer imageMargin;

    /**
     * 人工配置值启用标志、旋转角度、数字区域坐标
     */
    private String imageConfig;

    /**
     * 是否上传模型输出结果（服务器侧后处理需要）
     */
    private String uploadCnnFlag;

    /**
     * 对CNN输出进行解码时，使用的NMS阈值 
     */
    private Integer nmsThreshold;

    /**
     * 是否使用检测到的大框来排除野数字
     */
    private String isUseDetectedNum;

    /**
     * 指定坐标区域上报的图片类型(1jpg,2bmp)(服务器识别专用)
     */
    private String regionImageType;

    /**
     * 要上报的JPG的压缩类型(0-9)值越大，压缩率越高(服务器识别专用)
     */
    private String jpgCompressType;

    /**
     * RS485使能标志(0关闭,1打开)
     */
    private String rsPortEnable;

    /**
     * RS485波特率
     */
    private Integer rsBandRate;

    /**
     * RS485校验和类型
     */
    private Integer rsChecksumType;

    /**
     * RS485停止位
     */
    private Integer rsStopbitType;

    /**
     * 模块ID
     */
    private String moduleId;

    /**
     * 模块名称
     */
    private String moduleName;

    /**
     * 图片亮度(默认1.0,1位整数1位小数)
     */
    private Double imageBrightness;

    /**
     * 摄像头拍照时 的合成类型(1:一次拍照成形2:上下拼图3:左右拼图)
     */
    private Integer imageSynthesisType;

    /**
     * 每天第一条数据的发送时间
     */
    private Integer firsttxntimeDaily;

    /**
     * 上传图片大小
     */
    private Integer uploadImageSize;

    /**
     * AI输出测试(标注)图开关
     */
    private String enableAiImageProcess;

    /**
     * 免配置是否启用人工配置参数(1启用)
     */
    private String enableNoconfigManualConfig;

    /**
     * 禁用AI识别(1禁用)
     */
    private String disableAiRecognition;

    /**
     * 最大离散间隔(小时)
     */
    private Integer maxDiscreteDuration;

    /**
     * 启用离散标志
     */
    private String enableDiscrete;

    /**
     * 启用智慧院平台
     */
    private String enableSendBjzhy;

    /**
     * 启用北京自来水平台
     */
    private String enableSendBjzls;

    /**
     * 水表地址（北京自来水）
     */
    private String bjzlsMeterAddress;

    /**
     * 启用AES加密（1加密）
     */
    private String bjzlsEnableAes;

    /**
     * 数据恢复
     */
    private String isResetData;

    /**
     * 是否上传红色指针部分(针对2N1版本)
     */
    private String isUploadRedPointer;

    /**
     * 北京自来水平台密钥类型(0测试,1正式)
     */
    private String bjzlsSecretKeyType;

    /**
     * 免配置版本安装角度
     */
    private Integer noconfigSetupAngle;

    /**
     * 数字位置(1上0下)
     */
    private String digitalPosition;

    /**
     * 指针水表放大倍率(0-9.9)
     */
    private Float aiPointerZoomFactor;

    /**
     * 数字水表放大倍率(0-9.9)
     */
    private Float aiDigitalZoomFactor;

    /**
     * IOT平台类型(0:非IOT,1:OneNet,2:AEP)
     */
    private String iotType;

    /**
     * IOT平台中的deviceId
     */
    private String iotDeviceId;

    /**
     * IOT平台的任务ID
     */
    private String iotTaskId;

    /**
     * IOT平台的任务状态
     */
    private String iotTaskStatus;

    /**
     * imei
     */
    private String iotImei;

    /**
     * IOT平台的任务更新时间
     */
    private Date iotTaskUpdateTime;

    /**
     * 专项配置表主键
     */
    private Integer specialCfgId;

    /**
     * 表盘类型(0非水表,1数字+指针,2全指针,3全数字)
     */
    private String dialType;

    /**
     * 运行/投运状态(0未安装,1已安装,2已配置,3已投运,4配置失效)
     */
    private String operationStatus;

    /**
     * 数字区域坐标(x0,y0,x1,y1,x2,y2,x3,y3)
     */
    private String digitAreaCoordinates;

    /**
     * 表盘区域坐标(xMin,yMin,xMax,yMax)
     */
    private String dialAreaCoordinates;

    /**
     * 首尾指针坐标(xb,yb,xr,yr)
     */
    private String startEndPointerCoordinates;

    /**
     * 最新读数对应的时间
     */
    private Date lastValTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId == null ? null : taskId.trim();
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn == null ? null : deviceSn.trim();
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode == null ? null : stationCode.trim();
    }

    public Double getLastVal() {
        return lastVal;
    }

    public void setLastVal(Double lastVal) {
        this.lastVal = lastVal;
    }

    public String getIp1Port1() {
        return ip1Port1;
    }

    public void setIp1Port1(String ip1Port1) {
        this.ip1Port1 = ip1Port1 == null ? null : ip1Port1.trim();
    }

    public String getIp2Port2() {
        return ip2Port2;
    }

    public void setIp2Port2(String ip2Port2) {
        this.ip2Port2 = ip2Port2 == null ? null : ip2Port2.trim();
    }

    public String getIp3Port3() {
        return ip3Port3;
    }

    public void setIp3Port3(String ip3Port3) {
        this.ip3Port3 = ip3Port3 == null ? null : ip3Port3.trim();
    }

    public String getIp4Port4() {
        return ip4Port4;
    }

    public void setIp4Port4(String ip4Port4) {
        this.ip4Port4 = ip4Port4 == null ? null : ip4Port4.trim();
    }

    public String getDomainNamePort() {
        return domainNamePort;
    }

    public void setDomainNamePort(String domainNamePort) {
        this.domainNamePort = domainNamePort == null ? null : domainNamePort.trim();
    }

    public Integer getDnType() {
        return dnType;
    }

    public void setDnType(Integer dnType) {
        this.dnType = dnType;
    }

    public Integer getDigitNum() {
        return digitNum;
    }

    public void setDigitNum(Integer digitNum) {
        this.digitNum = digitNum;
    }

    public Integer getUnitType() {
        return unitType;
    }

    public void setUnitType(Integer unitType) {
        this.unitType = unitType;
    }

    public String getSetupDir() {
        return setupDir;
    }

    public void setSetupDir(String setupDir) {
        this.setupDir = setupDir == null ? null : setupDir.trim();
    }

    public Integer getSampleInterval() {
        return sampleInterval;
    }

    public void setSampleInterval(Integer sampleInterval) {
        this.sampleInterval = sampleInterval;
    }

    public Integer getWheelNum() {
        return wheelNum;
    }

    public void setWheelNum(Integer wheelNum) {
        this.wheelNum = wheelNum;
    }

    public Integer getUpInterval() {
        return upInterval;
    }

    public void setUpInterval(Integer upInterval) {
        this.upInterval = upInterval;
    }

    public Integer getLtSampleInterval() {
        return ltSampleInterval;
    }

    public void setLtSampleInterval(Integer ltSampleInterval) {
        this.ltSampleInterval = ltSampleInterval;
    }

    public Integer getWorkLt() {
        return workLt;
    }

    public void setWorkLt(Integer workLt) {
        this.workLt = workLt;
    }

    public Integer getWorkHt() {
        return workHt;
    }

    public void setWorkHt(Integer workHt) {
        this.workHt = workHt;
    }

    public BigDecimal getBatAlarmVt() {
        return batAlarmVt;
    }

    public void setBatAlarmVt(BigDecimal batAlarmVt) {
        this.batAlarmVt = batAlarmVt;
    }

    public Integer getBatAlarmSoc() {
        return batAlarmSoc;
    }

    public void setBatAlarmSoc(Integer batAlarmSoc) {
        this.batAlarmSoc = batAlarmSoc;
    }

    public Integer getAiPullBack() {
        return aiPullBack;
    }

    public void setAiPullBack(Integer aiPullBack) {
        this.aiPullBack = aiPullBack;
    }

    public Integer getAiPass() {
        return aiPass;
    }

    public void setAiPass(Integer aiPass) {
        this.aiPass = aiPass;
    }

    public Integer getAiSinglePass() {
        return aiSinglePass;
    }

    public void setAiSinglePass(Integer aiSinglePass) {
        this.aiSinglePass = aiSinglePass;
    }

    public String getCpuVersion() {
        return cpuVersion;
    }

    public void setCpuVersion(String cpuVersion) {
        this.cpuVersion = cpuVersion == null ? null : cpuVersion.trim();
    }

    public String getTongxunVersion() {
        return tongxunVersion;
    }

    public void setTongxunVersion(String tongxunVersion) {
        this.tongxunVersion = tongxunVersion == null ? null : tongxunVersion.trim();
    }

    public String getTianxianType() {
        return tianxianType;
    }

    public void setTianxianType(String tianxianType) {
        this.tianxianType = tianxianType == null ? null : tianxianType.trim();
    }

    public String getTongxunWay() {
        return tongxunWay;
    }

    public void setTongxunWay(String tongxunWay) {
        this.tongxunWay = tongxunWay == null ? null : tongxunWay.trim();
    }

    public Integer getNetworkRegTimeout() {
        return networkRegTimeout;
    }

    public void setNetworkRegTimeout(Integer networkRegTimeout) {
        this.networkRegTimeout = networkRegTimeout;
    }

    public Integer getPwmHz() {
        return pwmHz;
    }

    public void setPwmHz(Integer pwmHz) {
        this.pwmHz = pwmHz;
    }

    public Integer getPwmDuty() {
        return pwmDuty;
    }

    public void setPwmDuty(Integer pwmDuty) {
        this.pwmDuty = pwmDuty;
    }

    public Integer getFlashBrightMin() {
        return flashBrightMin;
    }

    public void setFlashBrightMin(Integer flashBrightMin) {
        this.flashBrightMin = flashBrightMin;
    }

    public Integer getFlashBrightMax() {
        return flashBrightMax;
    }

    public void setFlashBrightMax(Integer flashBrightMax) {
        this.flashBrightMax = flashBrightMax;
    }

    public String getSetupYear() {
        return setupYear;
    }

    public void setSetupYear(String setupYear) {
        this.setupYear = setupYear == null ? null : setupYear.trim();
    }

    public String getUpWholeImgWeekRule() {
        return upWholeImgWeekRule;
    }

    public void setUpWholeImgWeekRule(String upWholeImgWeekRule) {
        this.upWholeImgWeekRule = upWholeImgWeekRule == null ? null : upWholeImgWeekRule.trim();
    }

    public String getIp1ExpandOn() {
        return ip1ExpandOn;
    }

    public void setIp1ExpandOn(String ip1ExpandOn) {
        this.ip1ExpandOn = ip1ExpandOn == null ? null : ip1ExpandOn.trim();
    }

    public String getCreateMan() {
        return createMan;
    }

    public void setCreateMan(String createMan) {
        this.createMan = createMan == null ? null : createMan.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getFinishedFlag() {
        return finishedFlag;
    }

    public void setFinishedFlag(String finishedFlag) {
        this.finishedFlag = finishedFlag == null ? null : finishedFlag.trim();
    }

    public Date getFinishedTime() {
        return finishedTime;
    }

    public void setFinishedTime(Date finishedTime) {
        this.finishedTime = finishedTime;
    }

    public String getMeterFontStyle() {
        return meterFontStyle;
    }

    public void setMeterFontStyle(String meterFontStyle) {
        this.meterFontStyle = meterFontStyle == null ? null : meterFontStyle.trim();
    }

    public String getSystemReviewFlag() {
        return systemReviewFlag;
    }

    public void setSystemReviewFlag(String systemReviewFlag) {
        this.systemReviewFlag = systemReviewFlag == null ? null : systemReviewFlag.trim();
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType == null ? null : deviceType.trim();
    }

    public BigDecimal getPgRangeMin() {
        return pgRangeMin;
    }

    public void setPgRangeMin(BigDecimal pgRangeMin) {
        this.pgRangeMin = pgRangeMin;
    }

    public BigDecimal getPgRangeMax() {
        return pgRangeMax;
    }

    public void setPgRangeMax(BigDecimal pgRangeMax) {
        this.pgRangeMax = pgRangeMax;
    }

    public Integer getPgPrecisionType() {
        return pgPrecisionType;
    }

    public void setPgPrecisionType(Integer pgPrecisionType) {
        this.pgPrecisionType = pgPrecisionType;
    }

    public BigDecimal getPgCorrectvalue() {
        return pgCorrectvalue;
    }

    public void setPgCorrectvalue(BigDecimal pgCorrectvalue) {
        this.pgCorrectvalue = pgCorrectvalue;
    }

    public String getPgManualConfig() {
        return pgManualConfig;
    }

    public void setPgManualConfig(String pgManualConfig) {
        this.pgManualConfig = pgManualConfig == null ? null : pgManualConfig.trim();
    }

    public String getPgIsDebug() {
        return pgIsDebug;
    }

    public void setPgIsDebug(String pgIsDebug) {
        this.pgIsDebug = pgIsDebug == null ? null : pgIsDebug.trim();
    }

    public String getPgInitTargetRegion() {
        return pgInitTargetRegion;
    }

    public void setPgInitTargetRegion(String pgInitTargetRegion) {
        this.pgInitTargetRegion = pgInitTargetRegion == null ? null : pgInitTargetRegion.trim();
    }

    public String getIsprintcomlog() {
        return isprintcomlog;
    }

    public void setIsprintcomlog(String isprintcomlog) {
        this.isprintcomlog = isprintcomlog == null ? null : isprintcomlog.trim();
    }

    public String getIsresetwdt() {
        return isresetwdt;
    }

    public void setIsresetwdt(String isresetwdt) {
        this.isresetwdt = isresetwdt == null ? null : isresetwdt.trim();
    }

    public String getIsresetbat() {
        return isresetbat;
    }

    public void setIsresetbat(String isresetbat) {
        this.isresetbat = isresetbat == null ? null : isresetbat.trim();
    }

    public String getIsrestmcu() {
        return isrestmcu;
    }

    public void setIsrestmcu(String isrestmcu) {
        this.isrestmcu = isrestmcu == null ? null : isrestmcu.trim();
    }

    public String getWiTaskManwakeupFlag() {
        return wiTaskManwakeupFlag;
    }

    public void setWiTaskManwakeupFlag(String wiTaskManwakeupFlag) {
        this.wiTaskManwakeupFlag = wiTaskManwakeupFlag == null ? null : wiTaskManwakeupFlag.trim();
    }

    public String getWiTaskMonthFlag() {
        return wiTaskMonthFlag;
    }

    public void setWiTaskMonthFlag(String wiTaskMonthFlag) {
        this.wiTaskMonthFlag = wiTaskMonthFlag == null ? null : wiTaskMonthFlag.trim();
    }

    public String getWiTaskSpecdateFlag() {
        return wiTaskSpecdateFlag;
    }

    public void setWiTaskSpecdateFlag(String wiTaskSpecdateFlag) {
        this.wiTaskSpecdateFlag = wiTaskSpecdateFlag == null ? null : wiTaskSpecdateFlag.trim();
    }

    public String getLogUploadRules() {
        return logUploadRules;
    }

    public void setLogUploadRules(String logUploadRules) {
        this.logUploadRules = logUploadRules == null ? null : logUploadRules.trim();
    }

    public String getUploadLastFailLogFlag() {
        return uploadLastFailLogFlag;
    }

    public void setUploadLastFailLogFlag(String uploadLastFailLogFlag) {
        this.uploadLastFailLogFlag = uploadLastFailLogFlag == null ? null : uploadLastFailLogFlag.trim();
    }

    public String getLogTaskManwakeupFlag() {
        return logTaskManwakeupFlag;
    }

    public void setLogTaskManwakeupFlag(String logTaskManwakeupFlag) {
        this.logTaskManwakeupFlag = logTaskManwakeupFlag == null ? null : logTaskManwakeupFlag.trim();
    }

    public String getBatchFlag() {
        return batchFlag;
    }

    public void setBatchFlag(String batchFlag) {
        this.batchFlag = batchFlag == null ? null : batchFlag.trim();
    }

    public String getPgManualConfigLevel() {
        return pgManualConfigLevel;
    }

    public void setPgManualConfigLevel(String pgManualConfigLevel) {
        this.pgManualConfigLevel = pgManualConfigLevel == null ? null : pgManualConfigLevel.trim();
    }

    public Integer getImageType() {
        return imageType;
    }

    public void setImageType(Integer imageType) {
        this.imageType = imageType;
    }

    public Integer getImageMargin() {
        return imageMargin;
    }

    public void setImageMargin(Integer imageMargin) {
        this.imageMargin = imageMargin;
    }

    public String getImageConfig() {
        return imageConfig;
    }

    public void setImageConfig(String imageConfig) {
        this.imageConfig = imageConfig == null ? null : imageConfig.trim();
    }

    public String getUploadCnnFlag() {
        return uploadCnnFlag;
    }

    public void setUploadCnnFlag(String uploadCnnFlag) {
        this.uploadCnnFlag = uploadCnnFlag == null ? null : uploadCnnFlag.trim();
    }

    public Integer getNmsThreshold() {
        return nmsThreshold;
    }

    public void setNmsThreshold(Integer nmsThreshold) {
        this.nmsThreshold = nmsThreshold;
    }

    public String getIsUseDetectedNum() {
        return isUseDetectedNum;
    }

    public void setIsUseDetectedNum(String isUseDetectedNum) {
        this.isUseDetectedNum = isUseDetectedNum == null ? null : isUseDetectedNum.trim();
    }

    public String getRegionImageType() {
        return regionImageType;
    }

    public void setRegionImageType(String regionImageType) {
        this.regionImageType = regionImageType == null ? null : regionImageType.trim();
    }

    public String getJpgCompressType() {
        return jpgCompressType;
    }

    public void setJpgCompressType(String jpgCompressType) {
        this.jpgCompressType = jpgCompressType == null ? null : jpgCompressType.trim();
    }

    public String getRsPortEnable() {
        return rsPortEnable;
    }

    public void setRsPortEnable(String rsPortEnable) {
        this.rsPortEnable = rsPortEnable == null ? null : rsPortEnable.trim();
    }

    public Integer getRsBandRate() {
        return rsBandRate;
    }

    public void setRsBandRate(Integer rsBandRate) {
        this.rsBandRate = rsBandRate;
    }

    public Integer getRsChecksumType() {
        return rsChecksumType;
    }

    public void setRsChecksumType(Integer rsChecksumType) {
        this.rsChecksumType = rsChecksumType;
    }

    public Integer getRsStopbitType() {
        return rsStopbitType;
    }

    public void setRsStopbitType(Integer rsStopbitType) {
        this.rsStopbitType = rsStopbitType;
    }

    public String getModuleId() {
        return moduleId;
    }

    public void setModuleId(String moduleId) {
        this.moduleId = moduleId == null ? null : moduleId.trim();
    }

    public String getModuleName() {
        return moduleName;
    }

    public void setModuleName(String moduleName) {
        this.moduleName = moduleName == null ? null : moduleName.trim();
    }

    public Double getImageBrightness() {
        return imageBrightness;
    }

    public void setImageBrightness(Double imageBrightness) {
        this.imageBrightness = imageBrightness;
    }

    public Integer getImageSynthesisType() {
        return imageSynthesisType;
    }

    public void setImageSynthesisType(Integer imageSynthesisType) {
        this.imageSynthesisType = imageSynthesisType;
    }

    public Integer getFirsttxntimeDaily() {
        return firsttxntimeDaily;
    }

    public void setFirsttxntimeDaily(Integer firsttxntimeDaily) {
        this.firsttxntimeDaily = firsttxntimeDaily;
    }

    public Integer getUploadImageSize() {
        return uploadImageSize;
    }

    public void setUploadImageSize(Integer uploadImageSize) {
        this.uploadImageSize = uploadImageSize;
    }

    public String getEnableAiImageProcess() {
        return enableAiImageProcess;
    }

    public void setEnableAiImageProcess(String enableAiImageProcess) {
        this.enableAiImageProcess = enableAiImageProcess == null ? null : enableAiImageProcess.trim();
    }

    public String getEnableNoconfigManualConfig() {
        return enableNoconfigManualConfig;
    }

    public void setEnableNoconfigManualConfig(String enableNoconfigManualConfig) {
        this.enableNoconfigManualConfig = enableNoconfigManualConfig == null ? null : enableNoconfigManualConfig.trim();
    }

    public String getDisableAiRecognition() {
        return disableAiRecognition;
    }

    public void setDisableAiRecognition(String disableAiRecognition) {
        this.disableAiRecognition = disableAiRecognition == null ? null : disableAiRecognition.trim();
    }

    public Integer getMaxDiscreteDuration() {
        return maxDiscreteDuration;
    }

    public void setMaxDiscreteDuration(Integer maxDiscreteDuration) {
        this.maxDiscreteDuration = maxDiscreteDuration;
    }

    public String getEnableDiscrete() {
        return enableDiscrete;
    }

    public void setEnableDiscrete(String enableDiscrete) {
        this.enableDiscrete = enableDiscrete == null ? null : enableDiscrete.trim();
    }

    public String getEnableSendBjzhy() {
        return enableSendBjzhy;
    }

    public void setEnableSendBjzhy(String enableSendBjzhy) {
        this.enableSendBjzhy = enableSendBjzhy == null ? null : enableSendBjzhy.trim();
    }

    public String getEnableSendBjzls() {
        return enableSendBjzls;
    }

    public void setEnableSendBjzls(String enableSendBjzls) {
        this.enableSendBjzls = enableSendBjzls == null ? null : enableSendBjzls.trim();
    }

    public String getBjzlsMeterAddress() {
        return bjzlsMeterAddress;
    }

    public void setBjzlsMeterAddress(String bjzlsMeterAddress) {
        this.bjzlsMeterAddress = bjzlsMeterAddress == null ? null : bjzlsMeterAddress.trim();
    }

    public String getBjzlsEnableAes() {
        return bjzlsEnableAes;
    }

    public void setBjzlsEnableAes(String bjzlsEnableAes) {
        this.bjzlsEnableAes = bjzlsEnableAes == null ? null : bjzlsEnableAes.trim();
    }

    public String getIsResetData() {
        return isResetData;
    }

    public void setIsResetData(String isResetData) {
        this.isResetData = isResetData == null ? null : isResetData.trim();
    }

    public String getIsUploadRedPointer() {
        return isUploadRedPointer;
    }

    public void setIsUploadRedPointer(String isUploadRedPointer) {
        this.isUploadRedPointer = isUploadRedPointer == null ? null : isUploadRedPointer.trim();
    }

    public String getBjzlsSecretKeyType() {
        return bjzlsSecretKeyType;
    }

    public void setBjzlsSecretKeyType(String bjzlsSecretKeyType) {
        this.bjzlsSecretKeyType = bjzlsSecretKeyType == null ? null : bjzlsSecretKeyType.trim();
    }

    public Integer getNoconfigSetupAngle() {
        return noconfigSetupAngle;
    }

    public void setNoconfigSetupAngle(Integer noconfigSetupAngle) {
        this.noconfigSetupAngle = noconfigSetupAngle;
    }

    public String getDigitalPosition() {
        return digitalPosition;
    }

    public void setDigitalPosition(String digitalPosition) {
        this.digitalPosition = digitalPosition == null ? null : digitalPosition.trim();
    }

    public Float getAiPointerZoomFactor() {
        return aiPointerZoomFactor;
    }

    public void setAiPointerZoomFactor(Float aiPointerZoomFactor) {
        this.aiPointerZoomFactor = aiPointerZoomFactor;
    }

    public Float getAiDigitalZoomFactor() {
        return aiDigitalZoomFactor;
    }

    public void setAiDigitalZoomFactor(Float aiDigitalZoomFactor) {
        this.aiDigitalZoomFactor = aiDigitalZoomFactor;
    }

    public String getIotType() {
        return iotType;
    }

    public void setIotType(String iotType) {
        this.iotType = iotType == null ? null : iotType.trim();
    }

    public String getIotDeviceId() {
        return iotDeviceId;
    }

    public void setIotDeviceId(String iotDeviceId) {
        this.iotDeviceId = iotDeviceId == null ? null : iotDeviceId.trim();
    }

    public String getIotTaskId() {
        return iotTaskId;
    }

    public void setIotTaskId(String iotTaskId) {
        this.iotTaskId = iotTaskId == null ? null : iotTaskId.trim();
    }

    public String getIotTaskStatus() {
        return iotTaskStatus;
    }

    public void setIotTaskStatus(String iotTaskStatus) {
        this.iotTaskStatus = iotTaskStatus == null ? null : iotTaskStatus.trim();
    }

    public String getIotImei() {
        return iotImei;
    }

    public void setIotImei(String iotImei) {
        this.iotImei = iotImei == null ? null : iotImei.trim();
    }

    public Date getIotTaskUpdateTime() {
        return iotTaskUpdateTime;
    }

    public void setIotTaskUpdateTime(Date iotTaskUpdateTime) {
        this.iotTaskUpdateTime = iotTaskUpdateTime;
    }

    public Integer getSpecialCfgId() {
        return specialCfgId;
    }

    public void setSpecialCfgId(Integer specialCfgId) {
        this.specialCfgId = specialCfgId;
    }

    public String getDialType() {
        return dialType;
    }

    public void setDialType(String dialType) {
        this.dialType = dialType == null ? null : dialType.trim();
    }

    public String getOperationStatus() {
        return operationStatus;
    }

    public void setOperationStatus(String operationStatus) {
        this.operationStatus = operationStatus == null ? null : operationStatus.trim();
    }

    public String getDigitAreaCoordinates() {
        return digitAreaCoordinates;
    }

    public void setDigitAreaCoordinates(String digitAreaCoordinates) {
        this.digitAreaCoordinates = digitAreaCoordinates == null ? null : digitAreaCoordinates.trim();
    }

    public String getDialAreaCoordinates() {
        return dialAreaCoordinates;
    }

    public void setDialAreaCoordinates(String dialAreaCoordinates) {
        this.dialAreaCoordinates = dialAreaCoordinates == null ? null : dialAreaCoordinates.trim();
    }

    public String getStartEndPointerCoordinates() {
        return startEndPointerCoordinates;
    }

    public void setStartEndPointerCoordinates(String startEndPointerCoordinates) {
        this.startEndPointerCoordinates = startEndPointerCoordinates == null ? null : startEndPointerCoordinates.trim();
    }

    public Date getLastValTime() {
        return lastValTime;
    }

    public void setLastValTime(Date lastValTime) {
        this.lastValTime = lastValTime;
    }
}